/// <reference types="node" />
/**
 * the API we use to search streams for text or regular expressions
 */
export interface TextStreamSearcher {
    fullText(): string;
    waitForText(text: string, timeout?: number): Promise<string>;
    waitForRegex(regex: RegExp, timeout?: number): Promise<string>;
}
/**
 * A NodeJS.ReadableStream decorated with additional capabilities
 * to search the stream content.
 */
export declare type SearchableStream = NodeJS.ReadableStream & TextStreamSearcher;
export declare function createSearchableStream(stream: NodeJS.ReadableStream): SearchableStream;
