"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const text_stream_search_1 = require("text-stream-search");
function createSearchableStream(stream) {
    const result = stream;
    const search = new text_stream_search_1.TextStreamSearch(stream);
    result.waitForText = function (text, timeout) {
        return __awaiter(this, void 0, void 0, function* () {
            return search.waitForText(text, timeout);
        });
    };
    result.waitForRegex = function (regex, timeout) {
        return __awaiter(this, void 0, void 0, function* () {
            return search.waitForRegex(regex, timeout);
        });
    };
    result.fullText = function () {
        return search.fullText();
    };
    return result;
}
exports.createSearchableStream = createSearchableStream;
